NameservicesResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class NameservicesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.NameservicesResourceApi

-     public class NameservicesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameservicesResourceApi()`
    `NameservicesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiMetricList` | `getMetrics(String clusterName, String nameservice, String serviceName, String from, List<String> metrics, String to, String view)` Fetch metric readings for a particular nameservice.
    `okhttp3.Call` | `getMetricsAsync(String clusterName, String nameservice, String serviceName, String from, List<String> metrics, String to, String view, ApiCallback<ApiMetricList> callback)` Fetch metric readings for a particular nameservice.
    `okhttp3.Call` | `getMetricsCall(String clusterName, String nameservice, String serviceName, String from, List<String> metrics, String to, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getMetrics
    `ApiResponse<ApiMetricList>` | `getMetricsWithHttpInfo(String clusterName, String nameservice, String serviceName, String from, List<String> metrics, String to, String view)` Fetch metric readings for a particular nameservice.
    `ApiNameserviceList` | `listNameservices(String clusterName, String serviceName, String view)` List the nameservices of an HDFS service.
    `okhttp3.Call` | `listNameservicesAsync(String clusterName, String serviceName, String view, ApiCallback<ApiNameserviceList> callback)` List the nameservices of an HDFS service.
    `okhttp3.Call` | `listNameservicesCall(String clusterName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listNameservices
    `ApiResponse<ApiNameserviceList>` | `listNameservicesWithHttpInfo(String clusterName, String serviceName, String view)` List the nameservices of an HDFS service.
    `ApiNameservice` | `readNameservice(String clusterName, String nameservice, String serviceName, String view)` Retrieve information about a nameservice.
    `okhttp3.Call` | `readNameserviceAsync(String clusterName, String nameservice, String serviceName, String view, ApiCallback<ApiNameservice> callback)` Retrieve information about a nameservice.
    `okhttp3.Call` | `readNameserviceCall(String clusterName, String nameservice, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readNameservice
    `ApiResponse<ApiNameservice>` | `readNameserviceWithHttpInfo(String clusterName, String nameservice, String serviceName, String view)` Retrieve information about a nameservice.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameservicesResourceApi

          public NameservicesResourceApi()

    - #### NameservicesResourceApi

          public NameservicesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getMetricsCall

          public okhttp3.Call getMetricsCall(String clusterName,
                                             String nameservice,
                                             String serviceName,
                                             String from,
                                             List<String> metrics,
                                             String to,
                                             String view,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for getMetrics
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice. (required)
        `serviceName` - The service name. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getMetrics

          public ApiMetricList getMetrics(String clusterName,
                                          String nameservice,
                                          String serviceName,
                                          String from,
                                          List<String> metrics,
                                          String to,
                                          String view)
                                   throws ApiException

      Fetch metric readings for a particular nameservice. Fetch metric readings for a particular nameservice. <p> By default, this call will look up all metrics available. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available, even if no readings are available in the requested window.
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice. (required)
        `serviceName` - The service name. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiMetricList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsWithHttpInfo

          public ApiResponse<ApiMetricList> getMetricsWithHttpInfo(String clusterName,
                                                                   String nameservice,
                                                                   String serviceName,
                                                                   String from,
                                                                   List<String> metrics,
                                                                   String to,
                                                                   String view)
                                                            throws ApiException

      Fetch metric readings for a particular nameservice. Fetch metric readings for a particular nameservice. <p> By default, this call will look up all metrics available. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available, even if no readings are available in the requested window.
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice. (required)
        `serviceName` - The service name. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiMetricList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsAsync

          public okhttp3.Call getMetricsAsync(String clusterName,
                                              String nameservice,
                                              String serviceName,
                                              String from,
                                              List<String> metrics,
                                              String to,
                                              String view,
                                              ApiCallback<ApiMetricList> callback)
                                       throws ApiException

      Fetch metric readings for a particular nameservice. (asynchronously) Fetch metric readings for a particular nameservice. <p> By default, this call will look up all metrics available. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available, even if no readings are available in the requested window.
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice. (required)
        `serviceName` - The service name. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listNameservicesCall

          public okhttp3.Call listNameservicesCall(String clusterName,
                                                   String serviceName,
                                                   String view,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for listNameservices
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listNameservices

          public ApiNameserviceList listNameservices(String clusterName,
                                                     String serviceName,
                                                     String view)
                                              throws ApiException

      List the nameservices of an HDFS service. List the nameservices of an HDFS service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiNameserviceList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listNameservicesWithHttpInfo

          public ApiResponse<ApiNameserviceList> listNameservicesWithHttpInfo(String clusterName,
                                                                              String serviceName,
                                                                              String view)
                                                                       throws ApiException

      List the nameservices of an HDFS service. List the nameservices of an HDFS service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiNameserviceList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listNameservicesAsync

          public okhttp3.Call listNameservicesAsync(String clusterName,
                                                    String serviceName,
                                                    String view,
                                                    ApiCallback<ApiNameserviceList> callback)
                                             throws ApiException

      List the nameservices of an HDFS service. (asynchronously) List the nameservices of an HDFS service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readNameserviceCall

          public okhttp3.Call readNameserviceCall(String clusterName,
                                                  String nameservice,
                                                  String serviceName,
                                                  String view,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for readNameservice
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice to retrieve. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readNameservice

          public ApiNameservice readNameservice(String clusterName,
                                                String nameservice,
                                                String serviceName,
                                                String view)
                                         throws ApiException

      Retrieve information about a nameservice. Retrieve information about a nameservice.
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice to retrieve. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to summary)
      Returns:
        ApiNameservice
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readNameserviceWithHttpInfo

          public ApiResponse<ApiNameservice> readNameserviceWithHttpInfo(String clusterName,
                                                                         String nameservice,
                                                                         String serviceName,
                                                                         String view)
                                                                  throws ApiException

      Retrieve information about a nameservice. Retrieve information about a nameservice.
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice to retrieve. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to summary)
      Returns:
        ApiResponse<ApiNameservice>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readNameserviceAsync

          public okhttp3.Call readNameserviceAsync(String clusterName,
                                                   String nameservice,
                                                   String serviceName,
                                                   String view,
                                                   ApiCallback<ApiNameservice> callback)
                                            throws ApiException

      Retrieve information about a nameservice. (asynchronously) Retrieve information about a nameservice.
      Parameters:
        `clusterName` - (required)
        `nameservice` - The nameservice to retrieve. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.